package com.ruoyi.branch.mapper;

import java.util.List;
import com.ruoyi.branch.domain.TBranchMember;

/**
 * 支部成员管理Mapper接口
 * 
 * @author ruoyi
 * @date 2023-06-15
 */
public interface TBranchMemberMapper 
{
    /**
     * 查询支部成员管理
     * 
     * @param memberId 支部成员管理主键
     * @return 支部成员管理
     */
    public TBranchMember selectTBranchMemberByMemberId(Long memberId);

    /**
     * 查询支部成员政治生日列表
     *
     * @param tBranchMember 支部成员管理
     * @return 支部成员管理集合
     */
    public List<TBranchMember> selectPoliticalBirthdayList(TBranchMember tBranchMember);

    /**
     * 查询支部成员管理列表
     * 
     * @param tBranchMember 支部成员管理
     * @return 支部成员管理集合
     */
    public List<TBranchMember> selectTBranchMemberList(TBranchMember tBranchMember);

    /**
     * 新增支部成员管理
     * 
     * @param tBranchMember 支部成员管理
     * @return 结果
     */
    public int insertTBranchMember(TBranchMember tBranchMember);

    /**
     * 修改支部成员管理
     * 
     * @param tBranchMember 支部成员管理
     * @return 结果
     */
    public int updateTBranchMember(TBranchMember tBranchMember);

    /**
     * 删除支部成员管理
     * 
     * @param memberId 支部成员管理主键
     * @return 结果
     */
    public int deleteTBranchMemberByMemberId(Long memberId);

    /**
     * 批量删除支部成员管理
     * 
     * @param memberIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTBranchMemberByMemberIds(Long[] memberIds);
}
